import request from '@/utils/request'


// 获取动态表头
export function getHeaderList(year) {

  let params={};
  params.year=year;

  let res=[];
  // 排名	地区	2023年	2023年发明专利有效量（件）	2023年人口(万人)



  let obj1={'name':'排名'};
  let obj2={'name':'地区'};
  let obj3={'name':'2023年'};
  let obj4={'name':'2023年发明专利有效量（件）'};
  let obj5={'name':'2023年人口(万人)'};

  res.push(obj1);
  res.push(obj2);
  res.push(obj3);
  res.push(obj4);
  res.push(obj5);


  // return request({
  //   url: '/report/rzlClassStatisticsInfo/getHeader',
  //   method: 'get',
  //   params: params
  // })
  return res;
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}



// 查询专利有效-万人发明拥有量统计列表
export function listRzlInventStatisticsInfo(query) {
  return request({
    url: '/report/rzlInventStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利有效-万人发明拥有量统计详细
export function getRzlInventStatisticsInfo(id) {
  return request({
    url: '/report/rzlInventStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利有效-万人发明拥有量统计
export function addRzlInventStatisticsInfo(data) {
  return request({
    url: '/report/rzlInventStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利有效-万人发明拥有量统计
export function updateRzlInventStatisticsInfo(data) {
  return request({
    url: '/report/rzlInventStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利有效-万人发明拥有量统计
export function delRzlInventStatisticsInfo(id) {
  return request({
    url: '/report/rzlInventStatisticsInfo/' + id,
    method: 'delete'
  })
}
